Bug 609082 - Endless loop of IRQ injection caused RHEL guests hangs when boot up
Endless loop of IRQ injection caused RHEL guests hangs when boot up
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
urgent Severity high
: rc
: ---
Assigned To: Gleb Natapov
Red Hat Kernel QE team
: Regression, TestBlocker
: 610050 610463 (view as bug list)
Depends On:
Blocks: 579970 580953 609517 615839
  Show dependency treegraph
 
Reported: 2010-06-29 07:52 EDT by Amos Kong
Modified: 2015-05-24 20:05 EDT (History)
12 users (show)

See Also:
Fixed In Version: kernel 2.6.32-43.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 12:54:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel5 guest hangs- snapshot (21.84 KB, image/png)
2010-06-29 07:54 EDT, Amos Kong
no flags Details
rhel6 guest hangs- snapshot (21.08 KB, image/png)
2010-06-29 07:58 EDT, Amos Kong
no flags Details
rhel5-hangs-tracing (327.18 KB, application/octet-stream)
2010-06-29 09:53 EDT, Amos Kong
no flags Details

  None (edit)
Description Amos Kong 2010-06-29 07:52:25 EDT
Description of problem:
Boot up a rhel guest(vcpu > 1), guest hangs.

Version-Release number of selected component (if applicable):
host kernel: 2.6.32-38.el6.x86_64
guest kernel: kernel-2.6.18-203.el5.i686
# rpm -qa |grep qemu
qemu-img-0.12.1.2-2.84.el6.x86_64
gpxe-roms-qemu-0.9.7-6.3.el6.noarch
qemu-kvm-tools-0.12.1.2-2.84.el6.x86_64
qemu-kvm-0.12.1.2-2.84.el6.x86_64
qemu-kvm-debuginfo-0.12.1.2-2.84.el6.x86_64


How reproducible:
can be reproduced with AMD and Intel machines.
could not reproduce with 2.6.32-37.el6.x86_64


Steps to Reproduce:
1. boot up a rhel5 guest, vcpu > 1
 
Actual results:
guests hangs

Expected results:
guest could boot up successfully

Additional info:

1. qemu cmdline:
/root/autotest/client/tests/kvm/qemu -name 'vm1' -monitor unix:'/tmp/monitor-humanmonitor1-20100629-012815-whjA',server,nowait -drive file='/root/autotest/clit/tests/kvm/images/RHEL-Server-5.5-64-virtio.qcow2',if=ide,cache=none,boot=on,aio=native -net nic,vlan=0,netdev=SnI2,model=e1000,macaddr='02:30:0A:9F:ce:dc' -netdev tap,id=SnI2,ifname=e1000_0_8000,script=/root/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no,vhost=on -m 4096 -smp 2 -vnc :0 -spice port=8000,disable-ticketing -usbdevice tablet -rtc-td-hack -cpu qemu64,+sse2 -no-kvm-pit-reinjection -serial unix:/tmp/serial-20100629-012815-whjA,server,nowait

2. Serial output:
# nc -U /tmp/serial-20100629-012815-whjA
Linux version 2.6.18-203.el5 (mockbuild@hs20-bc2-3.build.redhat.com) (gcc version 4.1.2 20080704 (Red Hat 4.1.2-48)) #1 SMP Thu Jun 10 14:07:47 EDT 2010
Command line: ro root=/dev/VolGroup00/LogVol00 console=tty0 console=ttyS0,115200
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000010000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000dfffb000 (usable)
 BIOS-e820: 00000000dfffb000 - 00000000e0000000 (reserved)
 BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000120000000 (usable)
DMI 2.4 present.
kvm-clock: cpu 0, msr 7eff:8043e401, boot clock
No NUMA configuration found
Faking a node at 0000000000000000-0000000120000000
Bootmem setup node 0 0000000000000000-0000000120000000
Memory for crash kernel (0x0 to 0x0) notwithin permissible range
disabling kdump
ACPI: PM-Timer IO Port: 0xb008
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 6:2 APIC version 20
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1 6:2 APIC version 20
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
Setting APIC routing to physical flat
Using ACPI (MADT) for SMP configuration information
Nosave address range: 000000000009f000 - 00000000000a0000
Nosave address range: 00000000000a0000 - 00000000000f0000
Nosave address range: 00000000000f0000 - 0000000000100000
Nosave address range: 00000000dfffb000 - 00000000e0000000
Nosave address range: 00000000e0000000 - 00000000fffbc000
Nosave address range: 00000000fffbc000 - 0000000100000000
Allocating PCI resources starting at e2000000 (gap: e0000000:1ffbc000)
SMP: Allowing 2 CPUs, 0 hotplug CPUs
kvm-clock: cpu 0, msr 0:1003401, primary cpu clock
Built 1 zonelists.  Total pages: 1031028
Kernel command line: ro root=/dev/VolGroup00/LogVol00 console=tty0 console=ttyS0,115200
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
time.c: Using tsc for timekeeping HZ 1000
Console: colour VGA+ 80x25
Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Checking aperture...
ACPI: DMAR not present
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Placing software IO TLB between 0x162b000 - 0x562b000
Memory: 4048200k/4718592k available (2578k kernel code, 145632k reserved, 1305k data, 212k init)
Calibrating delay loop (skipped), value calculated using timer frequency.. 5611.75 BogoMIPS (lpj=2805878)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 0/0 -> Node 0
SMP alternatives: switching to UP code
ACPI: Core revision 20060707
Using local APIC timer interrupts.
WARNING calibrate_APIC_clock: the APIC timer calibration may be wrong.
Detected 62.500 MHz APIC timer.
SMP alternatives: switching to SMP code
Booting processor 1/2 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 5613.59 BogoMIPS (lpj=2806797)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 1/1 -> Node 0
QEMU Virtual CPU version 0.12.1 stepping 03
kvm-clock: cpu 1, msr 0:100ba81, secondary cpu clock
CPU 1: Syncing TSC to CPU 0.
CPU 1: synchronized TSC with CPU 0 (last diff 0 cycles, maxerr 628 cycles)
Brought up 2 CPUs
testing NMI watchdog ... <4>WARNING: CPU#0: NMI appears to be stuck (0->0)!
time.c: Using 1.193182 MHz WALL KVM GTOD KVM timer.
time.c: Detected 2805.878 MHz processor.
Comment 1 Amos Kong 2010-06-29 07:54:10 EDT
Created attachment 427656 [details]
rhel5 guest hangs- snapshot

rhel5 guest hangs- snapshot
Comment 2 Amos Kong 2010-06-29 07:58:31 EDT
Created attachment 427657 [details]
rhel6 guest hangs- snapshot

RHEL6 guest serial output:

Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.32-19.el6.x86_64 (mockbuild@x86-002.build.bos.redhat.com) (gcc version 4.4.3 20100121 (Red Hat 4.4.3-1) (GCC) ) #1 SMP Tue Mar 9 17:48:46 EST 2010
Command line: ro root=/dev/mapper/vg_tang-lv_root rd_LVM_LV=vg_tang/lv_root rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=tty0 console=ttyS0,115200n8  processor.max_cstate=1 nmi_watchdog=0 console=ttyS0 console=tty0,115200
KERNEL supported cpus:
  Intel GenuineIntel
  AMD AuthenticAMD
  Centaur CentaurHauls
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000dfffb000 (usable)
 BIOS-e820: 00000000dfffb000 - 00000000e0000000 (reserved)
 BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000120000000 (usable)
DMI 2.4 present.
last_pfn = 0x120000 max_arch_pfn = 0x400000000
PAT not supported by CPU.
last_pfn = 0xdfffb max_arch_pfn = 0x400000000
init_memory_mapping: 0000000000000000-00000000dfffb000
init_memory_mapping: 0000000100000000-0000000120000000
RAMDISK: 37423000 - 37fefa6d
ACPI: RSDP 00000000000f8400 00014 (v00 BOCHS )
ACPI: RSDT 00000000dfffddc0 00030 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
ACPI: FACP 00000000dffffdf0 00074 (v01 BOCHS  BXPCFACP 00000001 BXPC 00000001)
ACPI: DSDT 00000000dfffdf30 01E4B (v01   BXPC   BXDSDT 00000001 INTL 20090123)
ACPI: FACS 00000000dffffd80 00040
ACPI: SSDT 00000000dfffdee0 00044 (v01 BOCHS  BXPCSSDT 00000001 BXPC 00000001)
ACPI: APIC 00000000dfffddf0 0007A (v01 BOCHS  BXPCAPIC 00000001 BXPC 00000001)
No NUMA configuration found
Faking a node at 0000000000000000-0000000120000000
Bootmem setup node 0 0000000000000000-0000000120000000
  NODE_DATA [000000000000d000 - 0000000000040fff]
  bootmap [0000000000041000 -  0000000000064fff] pages 24
(8 early reservations) ==> bootmem [0000000000 - 0120000000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000006000 - 0000008000]       TRAMPOLINE ==> [0000006000 - 0000008000]
  #2 [0001000000 - 0001c1bd18]    TEXT DATA BSS ==> [0001000000 - 0001c1bd18]
  #3 [0037423000 - 0037fefa6d]          RAMDISK ==> [0037423000 - 0037fefa6d]
  #4 [000009f000 - 0000100000]    BIOS reserved ==> [000009f000 - 0000100000]
  #5 [0001c1c000 - 0001c1c051]              BRK ==> [0001c1c000 - 0001c1c051]
  #6 [0000008000 - 000000c000]          PGTABLE ==> [0000008000 - 000000c000]
  #7 [000000c000 - 000000d000]          PGTABLE ==> [000000c000 - 000000d000]
found SMP MP-table at [ffff8800000f8450] f8450
kvm-clock: cpu 0, msr 0:18b1081, boot clock
Zone PFN ranges:
  DMA      0x00000000 -> 0x00001000
  DMA32    0x00001000 -> 0x00100000
  Normal   0x00100000 -> 0x00120000
Movable zone start PFN for each node
early_node_map[3] active PFN ranges
    0: 0x00000000 -> 0x0000009f
    0: 0x00000100 -> 0x000dfffb
    0: 0x00100000 -> 0x00120000
ACPI: PM-Timer IO Port: 0xb008
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
Using ACPI (MADT) for SMP configuration information
SMP: Allowing 2 CPUs, 0 hotplug CPUs
Allocating PCI resources starting at e0000000 (gap: e0000000:1ffbc000)
Booting paravirtualized kernel on KVM
NR_CPUS:4096 nr_cpumask_bits:2 nr_cpu_ids:2 nr_node_ids:1
PERCPU: Embedded 30 pages/cpu @ffff880028200000 s92888 r8192 d21800 u1048576
pcpu-alloc: s92888 r8192 d21800 u1048576 alloc=1*2097152
pcpu-alloc: [0] 0 1 
kvm-clock: cpu 0, msr 0:28216081, primary cpu clock
Built 1 zonelists in Node order, mobility grouping on.  Total pages: 1032241
Policy zone: Normal
Kernel command line: ro root=/dev/mapper/vg_tang-lv_root rd_LVM_LV=vg_tang/lv_root rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=tty0 console=ttyS0,115200n8  processor.max_cstate=1 nmi_watchdog=0 console=ttyS0 console=tty0,115200
PID hash table entries: 4096 (order: 3, 32768 bytes)
Checking aperture...
No AGP bridge found
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Placing 64MB software IO TLB between ffff880020000000 - ffff880024000000
software IO TLB at phys 0x20000000 - 0x24000000
Memory: 4043208k/4718592k available (4903k kernel code, 524696k absent, 150688k reserved, 3902k data, 1144k init)
Hierarchical RCU implementation.
NR_IRQS:33024 nr_irqs:424
Console: colour VGA+ 80x25
console [tty0] enabled
console [ttyS0] enabled
allocated 41943040 bytes of page_cgroup
please try 'cgroup_disable=memory' option if you don't want memory cgroups
Detected 2660.288 MHz processor.
Calibrating delay loop (skipped) preset value.. 5320.57 BogoMIPS (lpj=2660288)
Security Framework initialized
SELinux:  Initializing.
Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys memory
Initializing cgroup subsys devices
Initializing cgroup subsys freezer
Initializing cgroup subsys net_cls
Initializing cgroup subsys blkio
mce: CPU supports 10 MCE banks
Performance Events: unsupported p6 CPU model 2 no PMU driver, software events only.
ACPI: Core revision 20090903
ftrace: converting mcount calls to 0f 1f 44 00 00
ftrace: allocating 21087 entries in 83 pages
Setting APIC routing to flat
..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
CPU0: Intel QEMU Virtual CPU version 0.12.1 stepping 03
APIC calibration not consistent with PM-Timer: 98ms instead of 100ms
APIC delta adjusted to PM-Timer: 6444909 (6374402)
Booting Node   0, Processors  #1 Ok.
kvm-clock: cpu 1, msr 0:28316081, secondary cpu clock
Brought up 2 CPUs
Total of 2 processors activated (10641.15 BogoMIPS).
devtmpfs: initialized
regulator: core version 0.5
Time: 11:57:04  Date: 06/29/10
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using configuration type 1 for base access
mtrr: your CPUs had inconsistent variable MTRR settings
mtrr: your CPUs had inconsistent MTRRdefType settings
mtrr: probably your BIOS does not setup all CPUs.
mtrr: corrected configuration.
bio: create slab <bio-0> at 0
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: No dock devices found.
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:01.3: quirk: region b000-b03f claimed by PIIX4 ACPI
pci 0000:00:01.3: quirk: region b100-b10f claimed by PIIX4 SMB
ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
vgaarb: loaded
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
Switching to clocksource kvm-clock
Comment 5 Amos Kong 2010-06-29 09:53:40 EDT
Created attachment 427688 [details]
rhel5-hangs-tracing

debug tracing result
Comment 6 Amos Kong 2010-06-29 23:20:38 EDT
With the help of jasowang's help, I found this bug was cuased by this commit ([virt] account only for IRQ injected into BSP).

I reverted this patch from 38 kernel, compile, re-tested, bug could not be reproduced.

If would cause an endless loop:
Begin:
[host] inject lapic timer interrupt to non BSP
[host] do decrease the pending timer interrupt
VMEntry
[guest] handle lapic timer interrupt
[guest] write to the APIC EOI Register
VMExit
[host] emulate the EOI writing
[host] detect the pending interrupt and go to Begin


-----------------------------------------------
commit 442263b7bce8e15fd306be2b7fab114f4fad6666
Author: Gleb Natapov <gleb@redhat.com>
Date:   Tue Jun 8 08:15:57 2010 -0400

    [virt] account only for IRQ injected into BSP
    
    Message-id: <20100608081557.GA29045@redhat.com>
    Patchwork-id: 26020
    O-Subject: [PATCH RHEL6] account only for IRQ injected into BSP
    Bugzilla: 601564
    RH-Acked-by: Avi Kivity <avi@redhat.com>
    RH-Acked-by: Marcelo Tosatti <mtosatti@redhat.com>
    RH-Acked-by: Jes Sorensen <Jes.Sorensen@redhat.com>
    RH-Acked-by: Juan Quintela <quintela@redhat.com>
    
    Some Windowses configure RTC interrupt to be broadcasted, but they still
    do time keeping only on boot CPU. This breaks rtc-td-hack option
    since now it can't tell if interrupt was accounted for for time keeping
    purposes or it should be reinject. Since rtc-td-hack is the only user
    for set_irq return value fix this by doing irq coalescing checking
    only on BSP cpu.
    
    BZ: 601564
    Upstream status: We are still looking for less hacky solution for
                     upstream. RHEL5 kvm has similar fix.
    
    Signed-off-by: Gleb Natapov <gleb@redhat.com>
    --
                        Gleb.
    
    Signed-off-by: Aristeu Rozanski <arozansk@redhat.com>
Comment 8 Lucas Meneghel Rodrigues 2010-07-05 14:25:02 EDT
I just confirmed the problem when checking the latest test results for RHEL 6.

Kernel:  2.6.32-42.el6.x86_64

Guest serial output:

2010-07-04 11:04:20: Linux version 2.6.18-194.el5 (mockbuild@x86-005.build.bos.redhat.com) (gcc version 4.1.2 20080704 (Red Hat 4.1.2-48)) #1 SMP Tue Mar 16 21:52:39 EDT 2010
2010-07-04 11:04:20: Command line: initrd=initrd.img ks=floppy nicdelay=60 console=ttyS0,115200 console=tty0 BOOT_IMAGE=vmlinuz
2010-07-04 11:04:20: BIOS-provided physical RAM map:
2010-07-04 11:04:20:  BIOS-e820: 0000000000010000 - 000000000009cc00 (usable)
2010-07-04 11:04:20:  BIOS-e820: 000000000009cc00 - 00000000000a0000 (reserved)
2010-07-04 11:04:20:  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
2010-07-04 11:04:20:  BIOS-e820: 0000000000100000 - 000000003fffd000 (usable)
2010-07-04 11:04:20:  BIOS-e820: 000000003fffd000 - 0000000040000000 (reserved)
2010-07-04 11:04:20:  BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
2010-07-04 11:04:20: DMI 2.4 present.
2010-07-04 11:04:20: kvm-clock: cpu 0, msr 7eff:8043e401, boot clock
2010-07-04 11:04:20: No NUMA configuration found
2010-07-04 11:04:20: Faking a node at 0000000000000000-000000003fffd000
2010-07-04 11:04:20: Bootmem setup node 0 0000000000000000-000000003fffd000
2010-07-04 11:04:20: Memory for crash kernel (0x0 to 0x0) notwithin permissible range
2010-07-04 11:04:20: disabling kdump
2010-07-04 11:04:20: ACPI: PM-Timer IO Port: 0xb008
2010-07-04 11:04:20: ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
2010-07-04 11:04:20: Processor #0 6:2 APIC version 20
2010-07-04 11:04:20: ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
2010-07-04 11:04:20: Processor #1 6:2 APIC version 20
2010-07-04 11:04:20: ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
2010-07-04 11:04:20: IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
2010-07-04 11:04:20: ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
2010-07-04 11:04:20: ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
2010-07-04 11:04:20: ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
2010-07-04 11:04:20: ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
2010-07-04 11:04:20: ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
2010-07-04 11:04:20: Setting APIC routing to physical flat
2010-07-04 11:04:20: Using ACPI (MADT) for SMP configuration information
2010-07-04 11:04:20: Nosave address range: 000000000009c000 - 000000000009d000
2010-07-04 11:04:20: Nosave address range: 000000000009d000 - 00000000000a0000
2010-07-04 11:04:20: Nosave address range: 00000000000a0000 - 00000000000f0000
2010-07-04 11:04:20: Nosave address range: 00000000000f0000 - 0000000000100000
2010-07-04 11:04:20: Allocating PCI resources starting at 50000000 (gap: 40000000:bffbc000)
2010-07-04 11:04:20: SMP: Allowing 2 CPUs, 0 hotplug CPUs
2010-07-04 11:04:20: kvm-clock: cpu 0, msr 0:1575401, primary cpu clock
2010-07-04 11:04:20: Built 1 zonelists.  Total pages: 257142
2010-07-04 11:04:20: Kernel command line: initrd=initrd.img ks=floppy nicdelay=60 console=ttyS0,115200 console=tty0 BOOT_IMAGE=vmlinuz
2010-07-04 11:04:20: Initializing CPU#0
2010-07-04 11:04:20: PID hash table entries: 4096 (order: 12, 32768 bytes)
2010-07-04 11:04:20: time.c: Using tsc for timekeeping HZ 1000
2010-07-04 11:04:20: Console: colour VGA+ 80x25
2010-07-04 11:04:20: Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
2010-07-04 11:04:20: Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
2010-07-04 11:04:20: Checking aperture...
2010-07-04 11:04:20: ACPI: DMAR not present
2010-07-04 11:04:20: Memory: 1018764k/1048564k available (2577k kernel code, 29336k reserved, 1305k data, 212k init)
2010-07-04 11:04:20: Calibrating delay loop (skipped), value calculated using timer frequency.. 5319.30 BogoMIPS (lpj=2659650)
2010-07-04 11:04:20: Security Framework v1.0.0 initialized
2010-07-04 11:04:20: SELinux:  Initializing.
2010-07-04 11:04:20: selinux_register_security:  Registering secondary module capability
2010-07-04 11:04:20: Capability LSM initialized as secondary
2010-07-04 11:04:20: Mount-cache hash table entries: 256
2010-07-04 11:04:20: CPU: L1 I cache: 32K, L1 D cache: 32K
2010-07-04 11:04:20: CPU: L2 cache: 4096K
2010-07-04 11:04:20: SMP alternatives: switching to UP code
2010-07-04 11:04:20: ACPI: Core revision 20060707
2010-07-04 11:04:20: Using local APIC timer interrupts.
2010-07-04 11:04:20: WARNING calibrate_APIC_clock: the APIC timer calibration may be wrong.
2010-07-04 11:04:20: Detected 62.499 MHz APIC timer.
2010-07-04 11:04:20: SMP alternatives: switching to SMP code
2010-07-04 11:04:20: Booting processor 1/2 APIC 0x1
2010-07-04 11:04:20: Initializing CPU#1
2010-07-04 11:04:20: Calibrating delay using timer specific routine.. 5318.48 BogoMIPS (lpj=2659243)
2010-07-04 11:04:20: CPU: L1 I cache: 32K, L1 D cache: 32K
2010-07-04 11:04:20: CPU: L2 cache: 4096K
2010-07-04 11:04:20: QEMU Virtual CPU version 0.12.1 stepping 03
2010-07-04 11:04:20: kvm-clock: cpu 1, msr 0:157da81, secondary cpu clock
2010-07-04 11:04:20: Brought up 2 CPUs
2010-07-04 11:04:20: testing NMI watchdog ... <4>WARNING: CPU#0: NMI appears to be stuck (0->0)!
2010-07-04 11:04:20: time.c: Using 1.193182 MHz WALL KVM GTOD KVM timer.
2010-07-04 11:04:20: time.c: Detected 2659.650 MHz processor.
Comment 9 Lucas Meneghel Rodrigues 2010-07-07 08:16:38 EDT
I just got results from latest RHEL 6.0 KVM sanity testing, and confirm that with kernel 2.6.32-43.el6.x86_64 this bug no longer happens.
Comment 12 Amit Shah 2010-07-14 08:27:08 EDT
*** Bug 610050 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.